TITLE1 'Chapter 13 Example 4.sas';
TITLE2 'Latin Square Design';
TITLE3 'PROC PLAN Sampling Protocol';
TITLE4 'Strawberry Experiment';
TITLE5 '5 Treatments';
TITLE6 'Row = day of the week and Col = time of day';
PROC PLAN;
FACTORS Row=5 ORDERED Col=5 ORDERED / NOPRINT;
TREATMENTS Tmt=5 CYCLIC;
OUTPUT OUT=LatinSquare
Row CVALS=('Monday' 'Tuesday' 'Wednesday' 'Thursday' 'Friday' ) RANDOM
Col CVALS=('8 to 9:30am' '9:30 to 11am' '11am to 12:30pm' '1 to 2:30pm' '2:30 to 4pm' ) RANDOM
Tmt CVALS=( 'Control' 'LD25' 'LD10' 'SD25' 'SD10' ) RANDOM;
QUIT;
PROC SORT DATA=LatinSquare OUT=LatinSquare;
BY Row Col;
PROC TRANSPOSE DATA = LatinSquare(RENAME=(Col=_NAME_))
OUT =tLatinSquare(DROP=_NAME_);
BY Row;
VAR Tmt;
PROC PRINT DATA=tLatinSquare NOOBS;
RUN;